dots.v2.databases.byDatabase_cluster_uuid().topics.byTopic_name().get()
Generated on 5 Nov 2026
from DoTs version
v1.23.0
Usage
client.v2.databases.byDatabase_cluster_uuid(database_cluster_uuid).topics.byTopic_name(topic_name).get(requestConfiguration?: RequestConfiguration<object>): Promise<undefined | WithTopic_nameGetResponse>Description
To retrieve a given topic by name from the set of a Kafka cluster’s topics,
send a GET request to /v2/databases/{database_cluster_uuid}/topics/{topic_name}.
The result will be a JSON object with a topic key.
Parameters
database_cluster_uuidstring requiredExample:
9cc10173-e9ea-4176-9dbc-a4cee4c4ff30A unique identifier for a database cluster.
topic_namestring requiredExample:
customer-eventsThe name used to identify the Kafka topic.
Request Sample
Response Example
More Information
See /v2/databases/{database_cluster_uuid}/topics/{topic_name} in the API reference for additional detail on responses, headers, parameters, and more.